package struts.kenkyu05.action;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.actions.DispatchAction;

import struts.kenkyu05.form.ListForm;
import struts.kenkyu05.form.ListForm.Detail;

public class ListAction extends DispatchAction {

	protected ActionForward unspecified(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {

		ListForm listForm = new ListForm();
		
		listForm.setHeaderField("wb_[tB[hl");
		
		List detailList = new ArrayList();
		for (int i = 0; i < 10; i++){
			Detail detail = listForm.new Detail();
			
			detail.setDetailField1("1-" + i);
			detail.setDetailField2("2-" + i);
			detailList.add(detail);
			
		}
		listForm.setDetailList(detailList);
		
		request.setAttribute("ListForm", listForm);
		
		
		return mapping.findForward("success");
	}
	
	public ActionForward send(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		
		
		ListForm listForm = (ListForm)form;
		
		System.out.println(listForm.getHeaderField());
		for (Iterator itr = listForm.getDetailList().iterator(); itr.hasNext();){
			Detail detail = (Detail)itr.next();
			System.out.println(detail.getDetailField1() + ", " + detail.getDetailField2());
		}
		
		
		return mapping.findForward("success");
		
	}
}
