package struts.kenkyu05.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.actions.DispatchAction;

import struts.kenkyu05.form.ArrayForm;


public class ArrayAction extends DispatchAction {

	protected ActionForward unspecified(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {

		ArrayForm arrayForm = new ArrayForm();
		
		arrayForm.setHeaderField("wb_[tB[hl");
		
		String[] f1 = new String[10];
		String[] f2 = new String[10];
		
		for (int i = 0; i < 10; i++){
			f1[i] = "1-" + i;
			f2[i] = "2-" + i;
			
		}
		arrayForm.setDetailField1(f1);
		arrayForm.setDetailField2(f2);
		
		request.setAttribute("ArrayForm", arrayForm);
		
		
		return mapping.findForward("success");
	}
	
	public ActionForward send(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		
		
		ArrayForm arrayForm = (ArrayForm)form;
		
		System.out.println(arrayForm.getHeaderField());
		for (int i = 0; i < arrayForm.getDetailField1().length; i++){
			System.out.println(arrayForm.getDetailField1()[i] + ", " + arrayForm.getDetailField2()[i]);
		}
		return mapping.findForward("success");
		
	}
}
